Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationRole": "NO_ACCESS",
"canDownload": true,
"canDrill": true,
"canSchedule": true,
"canUpload": true,
"canViewWorkbook": true
}
'{
"success": true
}Updates the permission and interactivity settings for a document. For example, the ability to allow users to schedule or download the document’s content.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationRole": "NO_ACCESS",
"canDownload": true,
"canDrill": true,
"canSchedule": true,
"canUpload": true,
"canViewWorkbook": true
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The document identifier. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
The default content role for the organization. Must be one of:
NO_ACCESS - No access. Document won't appear in content system or search results.VIEWER - View dashboardEDITOR - Edit dashboard and workbookMANAGER - Edit dashboard and workbook and manage permissionsNO_ACCESS, VIEWER, EDITOR, MANAGER If true, users with required permissions will be able to download the document's query results or dashboards. In the UI, this is the Download setting in the document's settings.
If true, users with required permissions will be able to drill into data points in the document's content. In the UI, this is the Drill setting in the document's settings.
If true, users with required permissions will be able to create deliveries (schedules and alerts) on the document. In the UI, this is the Schedule setting in the document's settings.
If true, users with required permissions can upload data (ex: CSVs) into the document to create data input tables. In the UI, this is the Upload data setting in the document's settings.
If true, users with required permissions can view a read-only version of the workbook. In the UI, this is the Viewers can see workbook setting in the document's settings.
Settings updated successfully
true
Was this page helpful?